
#ifndef _main_fff_H
#define _main_fff_H
/*==============================================================================



==============================================================================*/
#include "gui.h"

enum
{
  MainWindow_MainWindow=100,
  MainWindow_Hair,
  MainWindow_Eyes,
  MainWindow_Mouth,
  MainWindow_Score,
  MainWindow_HairButton,
  MainWindow_NoseButton,
  MainWindow_EyesButton,
  MainWindow_EarsButton,
  MainWindow_MouthButton,
  MainWindow_Nose,
  MainWindow_Ears,
};


    // text here is from the 'header text' menu option of the form editor

    extern const IMAGE hair1_bmp;
    extern const IMAGE nose1_bmp;
    extern const IMAGE eyes1_bmp;
    extern const IMAGE ears1_bmp;
    extern const IMAGE mouth1_bmp;

    // text end

class MainWindow : public CWindow
{

  private:

  public:

    CIcon *Hair;
    CIcon *Eyes;
    CIcon *Mouth;
    CLabel *Score;
    CButton *HairButton;
    CButton *NoseButton;
    CButton *EyesButton;
    CButton *EarsButton;
    CButton *MouthButton;
    CIcon *Nose;
    CIcon *Ears;

    MainWindow();
    // text here is from the 'class text' menu option of the form editor
   ~MainWindow(void);
    
    S32 MsgHandler( MSG_TYPE type, CViewable *from, S32 data );
    void Initialize(void);
    void NewGame (void);
    U8 CheckCollision (void);
    void UpdateSpeed (void);
    void HighScore (U16 score);

  private:

    enum
    {
      ID_MENUBAR=101,
      ID_MENU1,
      ID_MENU1_BUTTON,
      IDM_OPTION1, IDM_OPTION2, IDM_OPTION3, IDM_OPTION4, IDM_OPTION5, IDM_OPTION6
    };

    CMenu *m_menu1;
    CMenuBar *m_menuBar;

    // text end

};
//------------------------------------------------------------------------------
#endif
